QGIS Application - Bug report #11482
Resize mode Clip behaves like Stretch for Image composer item
2014-10-24 01:20 AM - Diethard Jansen

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No
Operating System: Ubuntu Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19752
Description

The Resize modes "Clip" and "Stretch" can be selected in the Item properties after adding an image in the print composer. After selecting
the resize mode "Clip", it does what you expect from the "Stretch" mode.

Description from API documentation what Clip should do:
CLIP : Draws image at original size and clips any portion which falls outside frame.

History

#1 - 2014-10-26 10:44 PM - Nyall Dawson

Is this using an SVG image?

#2 - 2014-10-27 09:56 PM - Diethard Jansen
- % Done changed from 0 to 100
- Status changed from Open to Closed

Yes | used an SVG, | tried it now with a PNG and | am aware now it is meant for raster images only. | will describe it in the manual.
Thanks..
